Sun Java System Application Server Platform Edition 8.1 2005Q2 Update 2 Reference Manual

## create-jndi-resource(1)

NAME | SYNOPSIS | DESCRIPTION | OPTIONS | OPERANDS | EXAMPLES | EXIT STATUS | SEE ALSO

#### NAME

create-jndi-resource– registers a JNDI resource

#### SYNOPSIS

`create-jndi-resource` ––user admin_user [––passwordfile filename] [––host host_name] [––port port_number] [––secure|`–s`] [––terse=false] [––echo=false] [––interactive=true] [––help] [––target target] ––jndilookupname lookup_name ––restype type ––factoryclass class_name [––enabled=true] [––description text] [`––property (name=value)[:name=value]*`] jndi_name

#### DESCRIPTION

The `create-jndi-resource` command registers a JNDI resource. This command is supported in remote mode only.

#### OPTIONS

`–u` `––user`

  The authorized domain application server administrative username.

`–w` `––password`

  The `––password` option is deprecated. Use `––passwordfile` instead.

`––passwordfile`

  This option replaces the `–– password` option. Using the `––password` option on the command line or through the environment is deprecated. The `––passwordfile` option specifies the name of a file containing the password entries in a specified format. The entry for the password must have the AS_ADMIN_ prefix followed by the password name in capital letters. For example, to specify the domain application server password, use an entry with the following format: `AS_ADMIN_PASSWORD`=password, where password is the actual administrator password. Other passwords that can be specified include AS_ADMIN_MAPPEDPASSWORD, AS_ADMIN_USERPASSWORD, AS_ADMIN_SAVEDMASTERPASSWORD, AS_ADMIN_MQPASSWORD, AS_ADMIN_ALIASPASSWORD, and so on.

`–H` `––host`

  The machine name where the domain application server is running. The default value is localhost.

`–p` `––port`

  The port number of the domain application server listening for administration requests. The default port number for Platform Edition is 4848. The default port number for Enterprise Edition is 4849.

`–s` `––secure`

  If set to true, uses SSL/TLS to communicate with the domain application server.

`–t` `––terse`

  Indicates that any output data must be very concise, typically avoiding human-friendly sentences and favoring well-formatted data for consumption by a script. Default is false.

`–e` `––echo`

  Setting to true will echo the command line statement on the standard output. Default is false.

`–I` `––interactive`

  If set to true (default), only the required password options are prompted.

`–h` `––help`

  Displays the help text for the command.

`––target`

  valid in Enterprise Edition only, specifies the target to which you are deploying. Valid values are 'server,' 'domain,' cluster, or instance. The default is server.

`––jndilookupname`

  The lookup name that the external container uses.

`––resourcetype`

  The `-resourcetype` option is deprecated. Use `-restype` instead.

`––restype`

  The JNDI resource type. It can be topic or queue.

`––factoryclass`

  The class that creates the JNDI resource.

`––enabled`

  Determines whether the resource is enabled at runtime.

`––description`

  The text that provides details about the JNDI resource.

`––property`

  optional attribute name/value pairs for configuring the resource. The following properties are available:

  Property | Definition
  --- | ---
  http-listener-1–port | This property specifies the port number for http-listener-1. Valid values are 1–65535. On UNIX, creating sockets that listen on ports 1–1024 requires superuser privileges.
  http-listener-2–port | This property specifies the port number for http-listener-2. Valid values are 1–65535. On UNIX, creating sockets that listen on ports 1–1024 requires superuser privileges.
  orb-listener-1–port | This property specifies which ORB listener port for IIOP connections orb-listener-1 listens on.
  IIOP_SSL_LISTENER_PORT | This property specifies which ORB listener port for IIOP connections the IIOP listener called SSL listens on.
  IIOP_SSL_MUTUALAUTH_PORT | This property specifies which ORB listener port for IIOP connections the IIOP listener called SSL_MUTUALAUTH listens on.
  JMX_SYSTEM_Connector-port | This property specifies the port number on which the JMX connector listens. Valid values are 1–65535. On UNIX, creating sockets that listen on ports 1–1024 requires superuser privileges.

#### OPERANDS

jndi_name

  The name of the JNDI resource to be created. This name must be unique.

#### EXAMPLES

##### Example 1 Using the create-jndi-resource command

    asadmin> create-jndi-resource --user admin --passwordfile filename
    --host pigeon --port 4001 --jndilookupname sample_jndi --restype queue
    --factoryclass sampleClass --description "this is a sample jndi"
    resource: sample_jndi_resource
    Command create-jndi-resource executed successfully

Where `sample_jndi_resource` is the new JNDI resource created.

#### EXIT STATUS

0

  command executed successfully

1

  error in executing the command

#### SEE ALSO

delete-jndi-resource(1),list-jndi-resources(1)

J2EE SDK 1.4 Last Revised 31 Jan 2005

NAME | SYNOPSIS | DESCRIPTION | OPTIONS | OPERANDS | EXAMPLES | EXIT STATUS | SEE ALSO

- © 2010, Oracle Corporation and/or its affiliates